NewWacht Bench is live — AI-assisted development for Wacht

List Project Task Board Items

GET
/ai/actor-projects/{project_id}/board/items

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

project_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/actor-projects/string/board/items"
{
  "data": [
    {
      "id": "string",
      "board_id": "string",
      "task_key": "string",
      "title": "string",
      "description": "string",
      "status": "string",
      "assigned_thread_id": "string",
      "metadata": null,
      "completed_at": "2019-08-24T14:15:22Z",
      "archived_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "state_version": "string",
      "schedule_id": "string",
      "scheduled_for": "2019-08-24T14:15:22Z",
      "fired_at": "2019-08-24T14:15:22Z",
      "pending_question": null,
      "pending_approval": null,
      "mounts": null,
      "exclusive_owner_agent_id": "string",
      "deliverables": null
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}